import { RichTextXform } from "@excel/xlsx/xform/strings/rich-text-xform";
import { BaseXform } from "@excel/xlsx/xform/base-xform";
interface NoteText {
    font?: any;
    text: string;
}
interface CommentNote {
    texts: NoteText[];
}
interface CommentModel {
    type: string;
    note: CommentNote;
    ref: string;
    authorId?: number;
}
declare class CommentXform extends BaseXform {
    model: CommentModel;
    parser: any;
    private _richTextXform?;
    constructor(model?: CommentModel);
    get tag(): string;
    get richTextXform(): RichTextXform;
    render(xmlStream: any, model?: CommentModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
}
export { CommentXform };
